org.apache.maven.scm.log

## Interface ScmLogger

All Known Implementing Classes:
  DefaultLog, PlexusLogger, ScmLogDispatcher

    public interface ScmLogger

Author:
  Emmanuel Venisse

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `debug(String content)`
`void` `debug(String content, Throwable error)`
`void` `debug(Throwable error)`
`void` `error(String content)`
`void` `error(String content, Throwable error)`
`void` `error(Throwable error)`
`void` `info(String content)`
`void` `info(String content, Throwable error)`
`void` `info(Throwable error)`
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isWarnEnabled()`
`void` `warn(String content)`
`void` `warn(String content, Throwable error)`
`void` `warn(Throwable error)`

### Method Detail

#### isDebugEnabled

    boolean isDebugEnabled()

#### debug

    void debug(String content)

#### debug

    void debug(String content,
               Throwable error)

#### debug

    void debug(Throwable error)

#### isInfoEnabled

    boolean isInfoEnabled()

#### info

    void info(String content)

#### info

    void info(String content,
              Throwable error)

#### info

    void info(Throwable error)

#### isWarnEnabled

    boolean isWarnEnabled()

#### warn

    void warn(String content)

#### warn

    void warn(String content,
              Throwable error)

#### warn

    void warn(Throwable error)

#### isErrorEnabled

    boolean isErrorEnabled()

#### error

    void error(String content)

#### error

    void error(String content,
               Throwable error)

#### error

    void error(Throwable error)